### 说明
用于检测调用神策埋点的方法时传入的埋点对象是否包含必填属性  
检测的埋点方法包括 `track` `trackPageView` `trackPage` `trackClick` `trackPageStop` `trackAction`  
必填属性包括 `biz_name` `requirement_id` `track_sign` `track_all_name`
### 规则
`track` ：  
必须有2个入参，否则报错提示该方法必须有2个入参；  
若第2个参数是json对象，检测其必须包含上面4个属性，否则报错提示缺少必填属性`xxx`
	
`trackPageView` `trackPage` `trackClick` `trackPageStop` `trackAction` ：  
必须有1个入参，否则报错提示该方法必须有1个入参；  
若这个参数是json对象，检测其必须包含上面4个属性，否则报错提示缺少必填属性`xxx`
### 示例
```
xxx.track('eventId', {
  biz_name: 'xxx',
  requirement_id: 'xxx',
  track_sign: 'xxx',
  track_all_name: 'xxx',
  ...
})

xxx.trackPageView({
  biz_name: 'xxx',
  requirement_id: 'xxx',
  track_sign: 'xxx',
  track_all_name: 'xxx',
  ...
})

xxx.trackPage({
  biz_name: 'xxx',
  requirement_id: 'xxx',
  track_sign: 'xxx',
  track_all_name: 'xxx',
  ...
})

xxx.trackClick({
  biz_name: 'xxx',
  requirement_id: 'xxx',
  track_sign: 'xxx',
  track_all_name: 'xxx',
  ...
})

xxx.trackPageStop({
  biz_name: 'xxx',
  requirement_id: 'xxx',
  track_sign: 'xxx',
  track_all_name: 'xxx',
  ...
})

xxx.trackAction({
  biz_name: 'xxx',
  requirement_id: 'xxx',
  track_sign: 'xxx',
  track_all_name: 'xxx',
  ...
})
```
### 引入方式
#### 安装依赖
```
npm i -D eslint-plugin-sa-track
```
#### 引入`.eslintrc.js`
```
module.exports = {
  plugins: ['sa-track'],
  rules: {
    'sa-track/required-attr': 'error'
  }
}
```